<?php

namespace App\Http\Middleware;

use App\User;
use Closure;

class Auth
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        if (!User::where('api_token', $request->bearerToken())->first()) { // Если пользователь не авторизован
            return response()->json(["status" => false, "message" => "You need authentication!"], 401); // Возваращаем ошибку
        } else {
            return $next($request); // В ином случае пропускаем дальше
        }

    }
}
